import {useListAlbums} from "../api/useListAlbums";
import {Fragment} from "react";
import {LinearProgress} from "@material-ui/core";
import {ErrorPortal} from "../components/ErrorContext";
import {ErrorAlert} from "../components/ErrorAlert";

export function AlbumListPage() {
    const {data: albums, error, isLoading} = useListAlbums();

    return (
        <Fragment>
            {isLoading && (
                <LinearProgress/>
            )}
            <ErrorPortal>
                <ErrorAlert severity="error" error={error}/>
            </ErrorPortal>
            <ul>
                {albums?.map(album => (
                    <li>
                        <p><a href={`/a/${album.id}`}>{album.id}</a></p>
                        <p>{album.title}</p>
                        <p>{album.description}</p>
                        <p>{album.created_at}</p>
                        <p>{album.updated_at}</p>
                    </li>
                ))}
            </ul>
        </Fragment>
    );
}
